<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferAccounts StructType
 * @subpackage Structs
 */
class TransferAccounts extends AbstractStructBase
{
    /**
     * The inputs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfTransferAccountInput
     */
    public $inputs;
    /**
     * Constructor method for TransferAccounts
     * @uses TransferAccounts::setInputs()
     * @param \CustomerManagement\ArrayType\ArrayOfTransferAccountInput $inputs
     */
    public function __construct(\CustomerManagement\ArrayType\ArrayOfTransferAccountInput $inputs = null)
    {
        $this
            ->setInputs($inputs);
    }
    /**
     * Get inputs value
     * @return \CustomerManagement\ArrayType\ArrayOfTransferAccountInput|null
     */
    public function getInputs()
    {
        return $this->inputs;
    }
    /**
     * Set inputs value
     * @param \CustomerManagement\ArrayType\ArrayOfTransferAccountInput $inputs
     * @return \CustomerManagement\StructType\TransferAccounts
     */
    public function setInputs(\CustomerManagement\ArrayType\ArrayOfTransferAccountInput $inputs = null)
    {
        $this->inputs = $inputs;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\TransferAccounts
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
